=== modified file 'bzrlib/workingtree.py'
--- bzrlib/workingtree.py	2007-02-02 09:17:23 +0000
+++ bzrlib/workingtree.py	2007-02-04 12:49:55 +0000
@@ -1637,18 +1637,17 @@
         for f in files:
             fid = inv.path2id(f)
             if not fid:
-                # TODO: Perhaps make this just a warning, and continue?
-                # This tends to happen when 
-                raise errors.NotVersionedError(path=f)
-            if verbose:
-                # having remove it, it must be either ignored or unknown
-                if self.is_ignored(f):
-                    new_status = 'I'
-                else:
-                    new_status = '?'
-                textui.show_status(new_status, inv[fid].kind, f,
-                                   to_file=to_file)
-            del inv[fid]
+                note("%s is not versioned."%f)
+            else:
+                if verbose:
+                    # having remove it, it must be either ignored or unknown
+                    if self.is_ignored(f):
+                        new_status = 'I'
+                    else:
+                        new_status = '?'
+                    textui.show_status(new_status, inv[fid].kind, f,
+                                       to_file=to_file)
+                del inv[fid]
 
         self._write_inventory(inv)
 

